Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxAtmdAccUtopiaConfig::UtSysConfig_ Struct Reference [IXP425 ATM Driver Access (IxAtmdAcc) Utopia Control API] NPE setup Register. More...
## Data Fields
unsigned int | reserved_1:2
| [31-30] These bits are always 0
unsigned int | txEnbFSM:1
| [29] Enables the operation ofthe Utopia Transmit FSM 1 - FSM enabled 0 - FSM inactive
unsigned int | rxEnbFSM:1
| [28] Enables the operation ofthe Utopia Revieve FSM 1 - FSM enabled 0 - FSM inactive
unsigned int | disablePins:1
| [27] Disable Utopia interface I/O pins forcing the signals to an inactive state
unsigned int | tstLoop:1
| [26] Test Loop Back Enable
unsigned int | txReset:1
| [25] Resets the Utopia Coprocessor transmit module to a known state
unsigned int | rxReset:1
| [24] Resets the Utopia Coprocessor receive module to a known state
unsigned int | reserved_2:24
| [23-0] These bits are always 0
## Detailed Description NPE setup Register. Definition at line 1655 of file IxAtmdAccCtrl.h. ## Field Documentation
unsigned int IxAtmdAccUtopiaConfig::UtSysConfig_::disablePins
| [27] Disable Utopia interface I/O pins forcing the signals to an inactive state Note that this bit is set on reset and must be de-asserted 0 - Normal data transfer 1 - Utopia interface pins are forced inactive Definition at line 1667 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtSysConfig_::reserved_1
| [31-30] These bits are always 0 Definition at line 1658 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtSysConfig_::reserved_2
| [23-0] These bits are always 0 Definition at line 1694 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtSysConfig_::rxEnbFSM
| [28] Enables the operation ofthe Utopia Revieve FSM 1 - FSM enabled 0 - FSM inactive Definition at line 1663 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtSysConfig_::rxReset
| [24] Resets the Utopia Coprocessor receive module to a known state Note: All receive configuration and status registers will be reset to their reset values. 0 - Normal operating mode 1 - Reset receive modules Definition at line 1687 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtSysConfig_::tstLoop
| [26] Test Loop Back Enable Note: For loop back to function RxMode and Tx Mode must both be set to single PHY mode. 0 - Loop back 1 - Normal operating mode Definition at line 1673 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtSysConfig_::txEnbFSM
| [29] Enables the operation ofthe Utopia Transmit FSM 1 - FSM enabled 0 - FSM inactive Definition at line 1659 of file IxAtmdAccCtrl.h.
unsigned int IxAtmdAccUtopiaConfig::UtSysConfig_::txReset
| [25] Resets the Utopia Coprocessor transmit module to a known state Note: All transmit configuration and status registers will be reset to their reset values. 0 - Normal operating mode¸ 1 - Reset transmit modules Definition at line 1680 of file IxAtmdAccCtrl.h.
The documentation for this struct was generated from the following file: IxAtmdAccCtrl.h
Automatically generated from sources. © Intel Corp. 2003